diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/link-template.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/link-template.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/link-template.php	2012-11-13 23:05:34.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/link-template.php	2013-08-01 08:18:01.000000000 -0500
***************
*** 13,19 ****
   * @uses apply_filters() Calls 'the_permalink' filter on the permalink string.
   */
  function the_permalink() {
! 	echo apply_filters('the_permalink', get_permalink());
  }
  
  /**
--- 13,19 ----
   * @uses apply_filters() Calls 'the_permalink' filter on the permalink string.
   */
  function the_permalink() {
! 	echo esc_url( apply_filters( 'the_permalink', get_permalink() ) );
  }
  
  /**
***************
*** 232,238 ****
   *
   * @since 1.5.0
   *
!  * @param mixed $post Optional. Post ID or object.
   * @param bool $leavename Optional, defaults to false. Whether to keep page name.
   * @param bool $sample Optional, defaults to false. Is it a sample permalink.
   * @return string
--- 232,238 ----
   *
   * @since 1.5.0
   *
!  * @param int|object $post Optional. Post ID or object.
   * @param bool $leavename Optional, defaults to false. Whether to keep page name.
   * @param bool $sample Optional, defaults to false. Is it a sample permalink.
   * @return string
***************
*** 256,262 ****
   * @since 2.1.0
   * @access private
   *
!  * @param mixed $post Optional. Post ID or object.
   * @param bool $leavename Optional. Leave name.
   * @param bool $sample Optional. Sample permalink.
   * @return string
--- 256,262 ----
   * @since 2.1.0
   * @access private
   *
!  * @param int|object $post Optional. Post ID or object.
   * @param bool $leavename Optional. Leave name.
   * @param bool $sample Optional. Sample permalink.
   * @return string
***************
*** 291,297 ****
   *
   * @since 2.0.0
   *
!  * @param mixed $post Optional. Post ID or object.
   * @param bool $leavename Optional. Leave name.
   * @return string
   */
--- 291,297 ----
   *
   * @since 2.0.0
   *
!  * @param int|object $post Optional. Post ID or object.
   * @param bool $leavename Optional. Leave name.
   * @return string
   */
***************
*** 301,309 ****
  	$link = false;
  
  	$post = get_post( $post );
  
! 	if ( $wp_rewrite->using_permalinks() && ( $post->post_parent > 0 ) && ( $post->post_parent != $post->ID ) ) {
! 		$parent = get_post($post->post_parent);
  		if ( 'page' == $parent->post_type )
  			$parentlink = _get_page_link( $post->post_parent ); // Ignores page_on_front
  		else
--- 301,309 ----
  	$link = false;
  
  	$post = get_post( $post );
+ 	$parent = ( $post->post_parent > 0 && $post->post_parent != $post->ID ) ? get_post( $post->post_parent ) : false;
  
! 	if ( $wp_rewrite->using_permalinks() && $parent ) {
  		if ( 'page' == $parent->post_type )
  			$parentlink = _get_page_link( $post->post_parent ); // Ignores page_on_front
  		else
***************
*** 867,875 ****
  
  	if ( ! $link = get_post_type_archive_link( $post_type ) )
  		return false;
  	$post_type_obj = get_post_type_object( $post_type );
! 	if ( $post_type_obj->rewrite['feeds'] && get_option( 'permalink_structure' ) ) {
! 		$link = trailingslashit($link);
  		$link .= 'feed/';
  		if ( $feed != $default_feed )
  			$link .= "$feed/";
--- 867,876 ----
  
  	if ( ! $link = get_post_type_archive_link( $post_type ) )
  		return false;
+ 
  	$post_type_obj = get_post_type_object( $post_type );
! 	if ( get_option( 'permalink_structure' ) && is_array( $post_type_obj->rewrite ) && $post_type_obj->rewrite['feeds'] ) {
! 		$link = trailingslashit( $link );
  		$link .= 'feed/';
  		if ( $feed != $default_feed )
  			$link .= "$feed/";
***************
*** 896,902 ****
  	if ( ! $post = get_post( $id ) )
  		return;
  
! 	if ( 'display' == $context )
  		$action = '&amp;action=edit';
  	else
  		$action = '&action=edit';
--- 897,905 ----
  	if ( ! $post = get_post( $id ) )
  		return;
  
! 	if ( 'revision' === $post->post_type )
! 		$action = '';
! 	elseif ( 'display' == $context )
  		$action = '&amp;action=edit';
  	else
  		$action = '&action=edit';
***************
*** 905,911 ****
  	if ( !$post_type_object )
  		return;
  
! 	if ( !current_user_can( $post_type_object->cap->edit_post, $post->ID ) )
  		return;
  
  	return apply_filters( 'get_edit_post_link', admin_url( sprintf($post_type_object->_edit_link . $action, $post->ID) ), $post->ID, $context );
--- 908,914 ----
  	if ( !$post_type_object )
  		return;
  
! 	if ( !current_user_can( 'edit_post', $post->ID ) )
  		return;
  
  	return apply_filters( 'get_edit_post_link', admin_url( sprintf($post_type_object->_edit_link . $action, $post->ID) ), $post->ID, $context );
***************
*** 959,965 ****
  	if ( !$post_type_object )
  		return;
  
! 	if ( !current_user_can( $post_type_object->cap->delete_post, $post->ID ) )
  		return;
  
  	$action = ( $force_delete || !EMPTY_TRASH_DAYS ) ? 'delete' : 'trash';
--- 962,968 ----
  	if ( !$post_type_object )
  		return;
  
! 	if ( !current_user_can( 'delete_post', $post->ID ) )
  		return;
  
  	$action = ( $force_delete || !EMPTY_TRASH_DAYS ) ? 'delete' : 'trash';
***************
*** 1174,1180 ****
  	$where = apply_filters( "get_{$adjacent}_post_where", $wpdb->prepare("WHERE p.post_date $op %s AND p.post_type = %s AND p.post_status = 'publish' $posts_in_ex_cats_sql", $current_post_date, $post->post_type), $in_same_cat, $excluded_categories );
  	$sort  = apply_filters( "get_{$adjacent}_post_sort", "ORDER BY p.post_date $order LIMIT 1" );
  
! 	$query = "SELECT p.id FROM $wpdb->posts AS p $join $where $sort";
  	$query_key = 'adjacent_post_' . md5($query);
  	$result = wp_cache_get($query_key, 'counts');
  	if ( false !== $result ) {
--- 1177,1183 ----
  	$where = apply_filters( "get_{$adjacent}_post_where", $wpdb->prepare("WHERE p.post_date $op %s AND p.post_type = %s AND p.post_status = 'publish' $posts_in_ex_cats_sql", $current_post_date, $post->post_type), $in_same_cat, $excluded_categories );
  	$sort  = apply_filters( "get_{$adjacent}_post_sort", "ORDER BY p.post_date $order LIMIT 1" );
  
! 	$query = "SELECT p.ID FROM $wpdb->posts AS p $join $where $sort";
  	$query_key = 'adjacent_post_' . md5($query);
  	$result = wp_cache_get($query_key, 'counts');
  	if ( false !== $result ) {
***************
*** 1217,1232 ****
  	if ( empty($post) )
  		return;
  
! 	if ( empty($post->post_title) )
  		$post_title = $previous ? __('Previous Post') : __('Next Post');
- 	else
- 		$post_title = $post->post_title;
  
  	$date = mysql2date(get_option('date_format'), $post->post_date);
  
  	$title = str_replace('%title', $post_title, $title);
  	$title = str_replace('%date', $date, $title);
- 	$title = apply_filters('the_title', $title, $post->ID);
  
  	$link = $previous ? "<link rel='prev' title='" : "<link rel='next' title='";
  	$link .= esc_attr( $title );
--- 1220,1234 ----
  	if ( empty($post) )
  		return;
  
! 	$post_title = the_title_attribute( array( 'echo' => false, 'post' => $post ) );
! 
! 	if ( empty( $post_title ) )
  		$post_title = $previous ? __('Previous Post') : __('Next Post');
  
  	$date = mysql2date(get_option('date_format'), $post->post_date);
  
  	$title = str_replace('%title', $post_title, $title);
  	$title = str_replace('%date', $date, $title);
  
  	$link = $previous ? "<link rel='prev' title='" : "<link rel='next' title='";
  	$link .= esc_attr( $title );
***************
*** 1449,1461 ****
  		}
  
  		$request = preg_replace( "|$wp_rewrite->pagination_base/\d+/?$|", '', $request);
! 		$request = preg_replace( '|^index\.php|i', '', $request);
  		$request = ltrim($request, '/');
  
  		$base = trailingslashit( get_bloginfo( 'url' ) );
  
  		if ( $wp_rewrite->using_index_permalinks() && ( $pagenum > 1 || '' != $request ) )
! 			$base .= 'index.php/';
  
  		if ( $pagenum > 1 ) {
  			$request = ( ( !empty( $request ) ) ? trailingslashit( $request ) : $request ) . user_trailingslashit( $wp_rewrite->pagination_base . "/" . $pagenum, 'paged' );
--- 1451,1463 ----
  		}
  
  		$request = preg_replace( "|$wp_rewrite->pagination_base/\d+/?$|", '', $request);
! 		$request = preg_replace( '|^' . preg_quote( $wp_rewrite->index, '|' ) . '|i', '', $request);
  		$request = ltrim($request, '/');
  
  		$base = trailingslashit( get_bloginfo( 'url' ) );
  
  		if ( $wp_rewrite->using_index_permalinks() && ( $pagenum > 1 || '' != $request ) )
! 			$base .= $wp_rewrite->index . '/';
  
  		if ( $pagenum > 1 ) {
  			$request = ( ( !empty( $request ) ) ? trailingslashit( $request ) : $request ) . user_trailingslashit( $wp_rewrite->pagination_base . "/" . $pagenum, 'paged' );
***************
*** 1919,1925 ****
  
  	$url = set_url_scheme( $url, $scheme );
  
! 	if ( ! empty( $path ) && is_string( $path ) && strpos( $path, '..' ) === false )
  		$url .= '/' . ltrim( $path, '/' );
  
  	return apply_filters( 'home_url', $url, $path, $orig_scheme, $blog_id );
--- 1921,1927 ----
  
  	$url = set_url_scheme( $url, $scheme );
  
! 	if ( $path && is_string( $path ) )
  		$url .= '/' . ltrim( $path, '/' );
  
  	return apply_filters( 'home_url', $url, $path, $orig_scheme, $blog_id );
***************
*** 1971,1977 ****
  
  	$url = set_url_scheme( $url, $scheme );
  
! 	if ( ! empty( $path ) && is_string( $path ) && strpos( $path, '..' ) === false )
  		$url .= '/' . ltrim( $path, '/' );
  
  	return apply_filters( 'site_url', $url, $path, $scheme, $blog_id );
--- 1973,1979 ----
  
  	$url = set_url_scheme( $url, $scheme );
  
! 	if ( $path && is_string( $path ) )
  		$url .= '/' . ltrim( $path, '/' );
  
  	return apply_filters( 'site_url', $url, $path, $scheme, $blog_id );
***************
*** 2005,2011 ****
  function get_admin_url( $blog_id = null, $path = '', $scheme = 'admin' ) {
  	$url = get_site_url($blog_id, 'wp-admin/', $scheme);
  
! 	if ( !empty( $path ) && is_string( $path ) && strpos( $path, '..' ) === false )
  		$url .= ltrim( $path, '/' );
  
  	return apply_filters( 'admin_url', $url, $path, $blog_id );
--- 2007,2013 ----
  function get_admin_url( $blog_id = null, $path = '', $scheme = 'admin' ) {
  	$url = get_site_url($blog_id, 'wp-admin/', $scheme);
  
! 	if ( $path && is_string( $path ) )
  		$url .= ltrim( $path, '/' );
  
  	return apply_filters( 'admin_url', $url, $path, $blog_id );
***************
*** 2018,2029 ****
   * @since 2.6.0
   *
   * @param string $path Optional. Path relative to the includes url.
   * @return string Includes url link with optional path appended.
  */
! function includes_url($path = '') {
! 	$url = site_url() . '/' . WPINC . '/';
  
! 	if ( !empty($path) && is_string($path) && strpos($path, '..') === false )
  		$url .= ltrim($path, '/');
  
  	return apply_filters('includes_url', $url, $path);
--- 2020,2032 ----
   * @since 2.6.0
   *
   * @param string $path Optional. Path relative to the includes url.
+  * @param string $scheme Optional. Scheme to give the includes url context.
   * @return string Includes url link with optional path appended.
  */
! function includes_url( $path = '', $scheme = null ) {
! 	$url = site_url( '/' . WPINC . '/', $scheme );
  
! 	if ( $path && is_string( $path ) )
  		$url .= ltrim($path, '/');
  
  	return apply_filters('includes_url', $url, $path);
***************
*** 2041,2047 ****
  function content_url($path = '') {
  	$url = set_url_scheme( WP_CONTENT_URL );
  
! 	if ( !empty($path) && is_string($path) && strpos($path, '..') === false )
  		$url .= '/' . ltrim($path, '/');
  
  	return apply_filters('content_url', $url, $path);
--- 2044,2050 ----
  function content_url($path = '') {
  	$url = set_url_scheme( WP_CONTENT_URL );
  
! 	if ( $path && is_string( $path ) )
  		$url .= '/' . ltrim($path, '/');
  
  	return apply_filters('content_url', $url, $path);
***************
*** 2080,2086 ****
  			$url .= '/' . ltrim($folder, '/');
  	}
  
! 	if ( !empty($path) && is_string($path) && strpos($path, '..') === false )
  		$url .= '/' . ltrim($path, '/');
  
  	return apply_filters('plugins_url', $url, $path, $plugin);
--- 2083,2089 ----
  			$url .= '/' . ltrim($folder, '/');
  	}
  
! 	if ( $path && is_string( $path ) )
  		$url .= '/' . ltrim($path, '/');
  
  	return apply_filters('plugins_url', $url, $path, $plugin);
***************
*** 2111,2117 ****
  	else
  		$url = set_url_scheme( 'http://' . $current_site->domain . $current_site->path, $scheme );
  
! 	if ( ! empty( $path ) && is_string( $path ) && strpos( $path, '..' ) === false )
  		$url .= ltrim( $path, '/' );
  
  	return apply_filters( 'network_site_url', $url, $path, $scheme );
--- 2114,2120 ----
  	else
  		$url = set_url_scheme( 'http://' . $current_site->domain . $current_site->path, $scheme );
  
! 	if ( $path && is_string( $path ) )
  		$url .= ltrim( $path, '/' );
  
  	return apply_filters( 'network_site_url', $url, $path, $scheme );
***************
*** 2147,2153 ****
  	else
  		$url = set_url_scheme( 'http://' . $current_site->domain . $current_site->path, $scheme );
  
! 	if ( ! empty( $path ) && is_string( $path ) && strpos( $path, '..' ) === false )
  		$url .= ltrim( $path, '/' );
  
  	return apply_filters( 'network_home_url', $url, $path, $orig_scheme);
--- 2150,2156 ----
  	else
  		$url = set_url_scheme( 'http://' . $current_site->domain . $current_site->path, $scheme );
  
! 	if ( $path && is_string( $path ) )
  		$url .= ltrim( $path, '/' );
  
  	return apply_filters( 'network_home_url', $url, $path, $orig_scheme);
***************
*** 2169,2175 ****
  
  	$url = network_site_url('wp-admin/network/', $scheme);
  
! 	if ( !empty($path) && is_string($path) && strpos($path, '..') === false )
  		$url .= ltrim($path, '/');
  
  	return apply_filters('network_admin_url', $url, $path);
--- 2172,2178 ----
  
  	$url = network_site_url('wp-admin/network/', $scheme);
  
! 	if ( $path && is_string( $path ) )
  		$url .= ltrim($path, '/');
  
  	return apply_filters('network_admin_url', $url, $path);
***************
*** 2188,2194 ****
  function user_admin_url( $path = '', $scheme = 'admin' ) {
  	$url = network_site_url('wp-admin/user/', $scheme);
  
! 	if ( !empty($path) && is_string($path) && strpos($path, '..') === false )
  		$url .= ltrim($path, '/');
  
  	return apply_filters('user_admin_url', $url, $path);
--- 2191,2197 ----
  function user_admin_url( $path = '', $scheme = 'admin' ) {
  	$url = network_site_url('wp-admin/user/', $scheme);
  
! 	if ( $path && is_string( $path ) )
  		$url .= ltrim($path, '/');
  
  	return apply_filters('user_admin_url', $url, $path);
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/load.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/load.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/load.php	2012-10-01 13:03:23.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/load.php	2013-07-08 07:59:10.000000000 -0500
***************
*** 27,33 ****
  	$input = array_merge( $_GET, $_POST, $_COOKIE, $_SERVER, $_ENV, $_FILES, isset( $_SESSION ) && is_array( $_SESSION ) ? $_SESSION : array() );
  	foreach ( $input as $k => $v )
  		if ( !in_array( $k, $no_unset ) && isset( $GLOBALS[$k] ) ) {
- 			$GLOBALS[$k] = null;
  			unset( $GLOBALS[$k] );
  		}
  }
--- 27,32 ----
***************
*** 254,270 ****
   * When WP_DEBUG_LOG is true, errors will be logged to wp-content/debug.log.
   * WP_DEBUG_LOG defaults to false.
   *
   * @access private
   * @since 3.0.0
   */
  function wp_debug_mode() {
  	if ( WP_DEBUG ) {
! 		// E_DEPRECATED is a core PHP constant in PHP 5.3. Don't define this yourself.
! 		// The two statements are equivalent, just one is for 5.3+ and for less than 5.3.
! 		if ( defined( 'E_DEPRECATED' ) )
! 			error_reporting( E_ALL & ~E_DEPRECATED & ~E_STRICT );
! 		else
! 			error_reporting( E_ALL );
  
  		if ( WP_DEBUG_DISPLAY )
  			ini_set( 'display_errors', 1 );
--- 253,266 ----
   * When WP_DEBUG_LOG is true, errors will be logged to wp-content/debug.log.
   * WP_DEBUG_LOG defaults to false.
   *
+  * Errors are never displayed for XML-RPC requests.
+  *
   * @access private
   * @since 3.0.0
   */
  function wp_debug_mode() {
  	if ( WP_DEBUG ) {
! 		error_reporting( E_ALL );
  
  		if ( WP_DEBUG_DISPLAY )
  			ini_set( 'display_errors', 1 );
***************
*** 278,283 ****
--- 274,281 ----
  	} else {
  		error_reporting( E_CORE_ERROR | E_CORE_WARNING | E_COMPILE_ERROR | E_ERROR | E_WARNING | E_PARSE | E_USER_ERROR | E_USER_WARNING | E_RECOVERABLE_ERROR );
  	}
+ 	if ( defined( 'XMLRPC_REQUEST' ) )
+ 		ini_set( 'display_errors', 0 );
  }
  
  /**
***************
*** 514,520 ****
   */
  function wp_set_internal_encoding() {
  	if ( function_exists( 'mb_internal_encoding' ) ) {
! 		if ( !@mb_internal_encoding( get_option( 'blog_charset' ) ) )
  			mb_internal_encoding( 'UTF-8' );
  	}
  }
--- 512,519 ----
   */
  function wp_set_internal_encoding() {
  	if ( function_exists( 'mb_internal_encoding' ) ) {
! 		$charset = get_option( 'blog_charset' );
! 		if ( ! $charset || ! @mb_internal_encoding( $charset ) )
  			mb_internal_encoding( 'UTF-8' );
  	}
  }
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/locale.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/locale.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/locale.php	2012-02-06 13:43:26.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/locale.php	2013-08-01 14:46:07.000000000 -0500
***************
*** 327,332 ****
--- 327,347 ----
  	function is_rtl() {
  		return 'rtl' == $this->text_direction;
  	}
+ 
+ 	/**
+ 	 * Private, unused function to add some date/time formats translated
+ 	 * on wp-admin/options-general.php to the general POT.
+ 	 *
+ 	 * @since 3.6.0
+ 	 */
+ 	function _strings_for_pot() {
+ 		/* translators: localized date format, see http://php.net/date */
+ 		__( 'F j, Y' );
+ 		/* translators: localized time format, see http://php.net/date */
+ 		__( 'g:i a' );
+ 		/* translators: localized date and time format, see http://php.net/date */
+ 		__( 'F j, Y g:i a' );
+ 	}
  }
  
  /**
